VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierListCreateInfoEXT Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| ImageDrmFormatModifierListCreateInfoEXT (uint32_t drmFormatModifierCount_=0, const uint64_t *pDrmFormatModifiers_=nullptr)
| ImageDrmFormatModifierListCreateInfoEXT (VkImageDrmFormatModifierListCreateInfoEXT const &rhs)
ImageDrmFormatModifierListCreateInfoEXT & | operator= (VkImageDrmFormatModifierListCreateInfoEXT const &rhs)
ImageDrmFormatModifierListCreateInfoEXT & | setPNext (const void *pNext_)
ImageDrmFormatModifierListCreateInfoEXT & | setDrmFormatModifierCount (uint32_t drmFormatModifierCount_)
ImageDrmFormatModifierListCreateInfoEXT & | setPDrmFormatModifiers (const uint64_t *pDrmFormatModifiers_)
| operator VkImageDrmFormatModifierListCreateInfoEXT const & () const
| operator VkImageDrmFormatModifierListCreateInfoEXT & ()
bool | operator== (ImageDrmFormatModifierListCreateInfoEXT const &rhs) const
bool | operator!= (ImageDrmFormatModifierListCreateInfoEXT const &rhs) const

## Data Fields

const void * | pNext = nullptr
uint32_t | drmFormatModifierCount
const uint64_t * | pDrmFormatModifiers

## Private Attributes

StructureType | sType = StructureType::eImageDrmFormatModifierListCreateInfoEXT

## Detailed Description

Definition at line 20933 of file vulkan.hpp.

## Constructor & Destructor Documentation

## ImageDrmFormatModifierListCreateInfoEXT() [1/2]

VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierListCreateInfoEXT::ImageDrmFormatModifierListCreateInfoEXT | ( | uint32_t | drmFormatModifierCount_ = `0`,
|  | const uint64_t * | pDrmFormatModifiers_ = `nullptr`
| ) |  |

inline

Definition at line 20935 of file vulkan.hpp.

: drmFormatModifierCount( drmFormatModifierCount_ )
, pDrmFormatModifiers( pDrmFormatModifiers_ )
{
}

## ImageDrmFormatModifierListCreateInfoEXT() [2/2]

VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierListCreateInfoEXT::ImageDrmFormatModifierListCreateInfoEXT | ( | VkImageDrmFormatModifierListCreateInfoEXT const & | rhs | ) |

inline

Definition at line 20942 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ImageDrmFormatModifierListCreateInfoEXT ) );
}

References memcpy.

## Member Function Documentation

## operator VkImageDrmFormatModifierListCreateInfoEXT &()

VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierListCreateInfoEXT::operator VkImageDrmFormatModifierListCreateInfoEXT & | ( |  | ) |

inline

Definition at line 20975 of file vulkan.hpp.

{
return *reinterpret_cast<VkImageDrmFormatModifierListCreateInfoEXT*>(this);
}

## operator VkImageDrmFormatModifierListCreateInfoEXT const &()

VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierListCreateInfoEXT::operator VkImageDrmFormatModifierListCreateInfoEXT const & | ( |  | ) | const

inline

Definition at line 20970 of file vulkan.hpp.

{
return *reinterpret_cast<const VkImageDrmFormatModifierListCreateInfoEXT*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierListCreateInfoEXT::operator!= | ( | ImageDrmFormatModifierListCreateInfoEXT const & | rhs | ) | const

inline

Definition at line 20988 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

ImageDrmFormatModifierListCreateInfoEXT& VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierListCreateInfoEXT::operator= | ( | VkImageDrmFormatModifierListCreateInfoEXT const & | rhs | ) |

inline

Definition at line 20947 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ImageDrmFormatModifierListCreateInfoEXT ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierListCreateInfoEXT::operator== | ( | ImageDrmFormatModifierListCreateInfoEXT const & | rhs | ) | const

inline

Definition at line 20980 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( drmFormatModifierCount == rhs.drmFormatModifierCount )
&& ( pDrmFormatModifiers == rhs.pDrmFormatModifiers );
}

References drmFormatModifierCount, pDrmFormatModifiers, pNext, and sType.

Referenced by operator!=().

## setDrmFormatModifierCount()

ImageDrmFormatModifierListCreateInfoEXT& VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierListCreateInfoEXT::setDrmFormatModifierCount | ( | uint32_t | drmFormatModifierCount_ | ) |

inline

Definition at line 20958 of file vulkan.hpp.

{
drmFormatModifierCount = drmFormatModifierCount_;
return *this;
}

References drmFormatModifierCount.

## setPDrmFormatModifiers()

ImageDrmFormatModifierListCreateInfoEXT& VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierListCreateInfoEXT::setPDrmFormatModifiers | ( | const uint64_t * | pDrmFormatModifiers_ | ) |

inline

Definition at line 20964 of file vulkan.hpp.

{
pDrmFormatModifiers = pDrmFormatModifiers_;
return *this;
}

References pDrmFormatModifiers.

## setPNext()

ImageDrmFormatModifierListCreateInfoEXT& VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierListCreateInfoEXT::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 20952 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## drmFormatModifierCount

uint32_t VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierListCreateInfoEXT::drmFormatModifierCount

Definition at line 20998 of file vulkan.hpp.

Referenced by operator==(), and setDrmFormatModifierCount().

## pDrmFormatModifiers

const uint64_t* VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierListCreateInfoEXT::pDrmFormatModifiers

Definition at line 20999 of file vulkan.hpp.

Referenced by operator==(), and setPDrmFormatModifiers().

## pNext

const void* VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierListCreateInfoEXT::pNext = nullptr

Definition at line 20997 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierListCreateInfoEXT::sType = StructureType::eImageDrmFormatModifierListCreateInfoEXT

private

Definition at line 20994 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierListCreateInfoEXT::drmFormatModifierCount
uint32_t drmFormatModifierCount
Definition: vulkan.hpp:20998
VkImageDrmFormatModifierListCreateInfoEXT
Definition: vulkan_core.h:7821
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierListCreateInfoEXT::pDrmFormatModifiers
const uint64_t * pDrmFormatModifiers
Definition: vulkan.hpp:20999
VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierListCreateInfoEXT::sType
StructureType sType
Definition: vulkan.hpp:20994
VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierListCreateInfoEXT::ImageDrmFormatModifierListCreateInfoEXT
ImageDrmFormatModifierListCreateInfoEXT(uint32_t drmFormatModifierCount_=0, const uint64_t *pDrmFormatModifiers_=nullptr)
Definition: vulkan.hpp:20935
VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierListCreateInfoEXT::operator==
bool operator==(ImageDrmFormatModifierListCreateInfoEXT const &rhs) const
Definition: vulkan.hpp:20980
VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierListCreateInfoEXT::pNext
const void * pNext
Definition: vulkan.hpp:20997